Public Member Functions | Data Fields | Static Public Attributes

# SignListWindow Struct Reference

Inheritance diagram for SignListWindow:

## Public Member Functions
| SignListWindow (WindowDesc *desc, WindowNumber window_number)
void | SetFilterString (const char *new_filter_string)
| This function sets the filter string of the sign list.
virtual void | OnPaint ()
virtual void | DrawWidget (const Rect &r, int widget) const
virtual void | SetStringParameters (int widget) const
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnResize ()
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual EventState | OnHotkey (int hotkey)
virtual void | OnEditboxChanged (int widget)
void | BuildSortSignList ()
virtual void | OnHundredthTick ()
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
## Data Fields
QueryString | filter_editbox
| Filter editbox;.
int | text_offset
| Offset of the sign text relative to the left edge of the WID_SIL_LIST widget.
Scrollbar * | vscroll
## Static Public Attributes
static HotkeyList | hotkeys

## Detailed Description

Definition at line 147 of file signs_gui.cpp.

## Member Function Documentation

virtual void SignListWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | Information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Definition at line 325 of file signs_gui.cpp.

References GUIList< T, F >::ForceRebuild(), GUIList< T, F >::ForceResort(), StringFilter::IsEmpty(), and SignList::string_filter.

void SignListWindow::SetFilterString | ( | const char * | new_filter_string | ) | `[inline]`

This function sets the filter string of the sign list.

The contents of the edit widget is not updated by this function. Depending on if the new string is zero-length or not the clear button is made disabled/enabled. The sign list is updated according to the new filter.

Definition at line 179 of file signs_gui.cpp.

References Window::InvalidateData(), StringFilter::SetFilterTerm(), and SignList::string_filter.

The documentation for this struct was generated from the following file:

- src/signs_gui.cpp